Package org.apache.tools.ant.types.selectors

## Class NotSelector

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.selectors.BaseSelector
      - - org.apache.tools.ant.types.selectors.BaseSelectorContainer
        - - org.apache.tools.ant.types.selectors.NoneSelector
          - - org.apache.tools.ant.types.selectors.NotSelector

All Implemented Interfaces:
  `java.lang.Cloneable`, `ResourceSelector`, `FileSelector`, `SelectorContainer`

    public class NotSelector
    extends NoneSelector

This selector has one other selectors whose meaning it inverts. It actually relies on NoneSelector for its implementation of the isSelected() method, but it adds a check to ensure there is only one other selector contained within.

Since:
  1.5

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`NotSelector()` Default constructor.
`NotSelector​(FileSelector other)` Constructor that inverts the meaning of its argument.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()` Convert the Selectors within this container to a string.
`void` `verifySettings()` Makes sure that there is only one entry, sets an error message if not.

### Methods inherited from class org.apache.tools.ant.types.selectors.NoneSelector

`isSelected`

### Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelectorContainer

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addExecutable, addFilename, addMajority, addModified, addNone, addNot, addOr, addOwnedBy, addPosixGroup, addPosixPermissions, addPresent, addReadable, addSelector, addSize, addSymlink, addType, addWritable, appendSelector, dieOnCircularReference, getSelectors, hasSelectors, selectorCount, selectorElements, validate`

### Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector

`getError, setError, setError`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.tools.ant.types.selectors.FileSelector

`isSelected`

### Constructor Detail

#### NotSelector

    public NotSelector()

Default constructor.

#### NotSelector

    public NotSelector​(FileSelector other)

Constructor that inverts the meaning of its argument.

Parameters:
  `other` - the selector to invert
Since:
  Ant 1.7

### Method Detail

#### toString

    public java.lang.String toString()

Description copied from class: `BaseSelectorContainer`
Convert the Selectors within this container to a string. This will just be a helper class for the subclasses that put their own name around the contents listed here.

Overrides:
  `toString` in class `NoneSelector`
Returns:
  a string representation of the selector

#### verifySettings

    public void verifySettings()

Makes sure that there is only one entry, sets an error message if not.

Overrides:
  `verifySettings` in class `BaseSelector`